%define upstream_name	 POE-Component-IRC
%define upstream_version 6.93

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A fully event-driven IRC client module
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IRC::Utils) >= 0.120.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(POE::Component::Syndicator)
BuildRequires: perl(POE::Driver::SysRW)
BuildRequires: perl(POE::Filter::IRCD) >= 2.420.0
BuildRequires: perl(POE::Filter::Line)
BuildRequires: perl(POE::Filter::Stackable)
BuildRequires: perl(POE::Filter::Stream)
BuildRequires: perl(POE::Session)
BuildRequires: perl(POE::Wheel::ReadWrite)
BuildRequires: perl(POE::Wheel::SocketFactory)
BuildRequires: perl(Test::Differences) >= 0.610.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%{?perl_default_filter}

%description
POE::Component::IRC is a POE (Perl Object Environment) component
which provides a convenient way for POE applications to create a tiny
IRC client session and send and receive IRC events through it. If that
first sentence was a bit too much, go read the POE documentation over
and over until it makes some sense.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find lib -name \*.pm | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/POE
%_mandir/*/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 6.930.0-2.mga9
+ Revision: 1830480
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 6.930.0-1.mga9
+ Revision: 1731851
- update to 6.93

* Fri Jun 11 2021 tv <tv> 6.920.0-1.mga9
+ Revision: 1730384
- update to 6.92

* Tue Jun 08 2021 tv <tv> 6.910.0-1.mga9
+ Revision: 1730141
- update to 6.91

* Wed Feb 12 2020 umeabot <umeabot> 6.900.0-4.mga8
+ Revision: 1505799
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.900.0-3.mga7
+ Revision: 1285464
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 6.900.0-2.mga7
+ Revision: 1166310
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 6.900.0-1.mga7
+ Revision: 1160894
- new release

* Sun Jun 19 2016 pterjan <pterjan> 6.880.0-7.mga6
+ Revision: 1032502
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 6.880.0-6.mga6
+ Revision: 949935
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 6.880.0-5.mga5
+ Revision: 791798
- Rebuild to fix broken dependencies

* Wed Oct 15 2014 umeabot <umeabot> 6.880.0-4.mga5
+ Revision: 745390
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 6.880.0-3.mga5
+ Revision: 733319
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 6.880.0-2.mga5
+ Revision: 685819
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 sander85 <sander85> 6.880.0-1.mga5
+ Revision: 640862
- update to 6.88

* Sat Jun 21 2014 sander85 <sander85> 6.870.0-1.mga5
+ Revision: 638428
- update to 6.87

* Sat Jun 21 2014 sander85 <sander85> 6.860.0-1.mga5
+ Revision: 638365
- update to 6.86

* Tue Jun 17 2014 sander85 <sander85> 6.840.0-1.mga5
+ Revision: 637816
- update to 6.84

* Sat Oct 19 2013 umeabot <umeabot> 6.830.0-2.mga4
+ Revision: 527195
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 6.830.0-1.mga4
+ Revision: 439728
- update to 6.83

* Sun Jan 13 2013 umeabot <umeabot> 6.810.0-2.mga3
+ Revision: 371237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 6.810.0-1.mga3
+ Revision: 342475
- update to 6.81

* Wed Sep 26 2012 jquelin <jquelin> 6.800.0-1.mga3
+ Revision: 298082
- update to 6.80

* Fri Dec 09 2011 kharec <kharec> 6.780.0-1.mga2
+ Revision: 179419
- update to 6.78

* Sun Dec 04 2011 kharec <kharec> 6.770.0-1.mga2
+ Revision: 175951
- update to 6.77

* Thu Dec 01 2011 kharec <kharec> 6.760.0-1.mga2
+ Revision: 174796
- update to 6.76

* Mon Nov 14 2011 jquelin <jquelin> 6.750.0-1.mga2
+ Revision: 167662
- update to 6.75

* Thu Oct 13 2011 jquelin <jquelin> 6.740.0-1.mga2
+ Revision: 154439
- update to 6.74

* Mon Sep 26 2011 jquelin <jquelin> 6.710.0-1.mga2
+ Revision: 148204
- update to 6.71
- update to 6.70

* Wed Jun 15 2011 jquelin <jquelin> 6.680.0-1.mga2
+ Revision: 107875
- update to 6.68

* Tue Apr 19 2011 jquelin <jquelin> 6.600.0-1.mga1
+ Revision: 88562
- update to 6.60

* Thu Apr 07 2011 jquelin <jquelin> 6.590.0-1.mga1
+ Revision: 81798
- update to 6.59

* Sun Apr 03 2011 jquelin <jquelin> 6.570.0-1.mga1
+ Revision: 80077
- update to 6.57

* Sun Mar 13 2011 jquelin <jquelin> 6.540.0-1.mga1
+ Revision: 70512
- update to 6.54

* Mon Jan 24 2011 jquelin <jquelin> 6.520.0-1.mga1
+ Revision: 37134
- mageia rebuild
- imported package perl-POE-Component-IRC


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 6.520.0-1mdv2011.0
+ Revision: 597087
- update to 6.52

* Mon Sep 06 2010 Jérôme Quelin <jquelin@mandriva.org> 6.390.0-1mdv2011.0
+ Revision: 576300
- update to 6.39

* Mon Aug 23 2010 Jérôme Quelin <jquelin@mandriva.org> 6.370.0-1mdv2011.0
+ Revision: 572237
- update to 6.37

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 6.360.0-1mdv2011.0
+ Revision: 561943
- update to 6.36

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 6.350.0-1mdv2011.0
+ Revision: 552485
- update to 6.35

* Mon Mar 15 2010 Jérôme Quelin <jquelin@mandriva.org> 6.280.0-1mdv2010.1
+ Revision: 519960
- update to 6.28

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 6.240.0-1mdv2010.1
+ Revision: 504494
- update to 6.24

* Wed Jan 20 2010 Jérôme Quelin <jquelin@mandriva.org> 6.220.0-1mdv2010.1
+ Revision: 493955
- update to 6.22

* Sat Jan 16 2010 Jérôme Quelin <jquelin@mandriva.org> 6.200.0-1mdv2010.1
+ Revision: 492160
- update to 6.20

* Sat Dec 12 2009 Jérôme Quelin <jquelin@mandriva.org> 6.180.0-1mdv2010.1
+ Revision: 477633
- update to 6.18

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 6.160.0-1mdv2010.1
+ Revision: 461349
- update to 6.16

* Fri Sep 25 2009 Jérôme Quelin <jquelin@mandriva.org> 6.140.0-1mdv2010.0
+ Revision: 448608
- update to 6.14

* Thu Sep 10 2009 Jérôme Quelin <jquelin@mandriva.org> 6.120.0-1mdv2010.0
+ Revision: 437203
- update to 6.12

* Wed Aug 19 2009 Jérôme Quelin <jquelin@mandriva.org> 6.100.0-1mdv2010.0
+ Revision: 418125
- update to 6.10

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 6.80.0-1mdv2010.0
+ Revision: 408037
- rebuild using %%perl_convert_version

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 6.08-1mdv2010.0
+ Revision: 383538
- update to new version 6.08

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 6.06-1mdv2010.0
+ Revision: 371733
- update to new version 6.06

* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 6.04-1mdv2009.1
+ Revision: 353642
- update to new version 6.04

* Sun Mar 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 6.02-1mdv2009.1
+ Revision: 352917
- update to new version 6.02

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.98-1mdv2009.1
+ Revision: 347693
- update to new version 5.98

* Fri Jan 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.96-1mdv2009.1
+ Revision: 335511
- update to new version 5.96

* Sun Jan 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.90-1mdv2009.1
+ Revision: 333407
- update to new version 5.90

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.88-1mdv2009.0
+ Revision: 277970
- update to new version 5.88

* Wed Jul 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.86-1mdv2009.0
+ Revision: 242076
- update to new version 5.86

* Fri Jun 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.84-1mdv2009.0
+ Revision: 229493
- update to new version 5.84

* Mon Jun 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.82-1mdv2009.0
+ Revision: 220159
- update to new version 5.82

* Fri Jun 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.80-1mdv2009.0
+ Revision: 218725
- update to new version 5.80

* Tue Jun 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.78-1mdv2009.0
+ Revision: 214556
- new version
- update to new version 5.76

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.74-1mdv2009.0
+ Revision: 193924
- update to new version 5.74

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.70-1mdv2008.1
+ Revision: 178288
- update to new version 5.70

* Fri Feb 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.68-1mdv2008.1
+ Revision: 173912
- update to new version 5.68
- update to new version 5.68

* Wed Feb 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.66-1mdv2008.1
+ Revision: 173296
- update to new version 5.66

* Sun Feb 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.64-1mdv2008.1
+ Revision: 169978
- update to new version 5.64

* Fri Feb 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.62-1mdv2008.1
+ Revision: 164024
- update to new version 5.62

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 5.60-1mdv2008.1
+ Revision: 163389
- update to new version 5.60

* Tue Feb 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.58-1mdv2008.1
+ Revision: 162590
- update to new version 5.58

* Sat Feb 02 2008 Funda Wang <fwang@mandriva.org> 5.56-1mdv2008.1
+ Revision: 161381
- update to new version 5.56

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.54-1mdv2008.1
+ Revision: 159904
- update to new version 5.54

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.52-1mdv2008.1
+ Revision: 152844
- update to new version 5.52

* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.40-1mdv2008.1
+ Revision: 138347
- update to new version 5.40
- update to new version 5.40

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.38-1mdv2008.1
+ Revision: 116173
- update to new version 5.38

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.36-1mdv2008.1
+ Revision: 105308
- update to new version 5.36

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.34-1mdv2008.0
+ Revision: 55843
- update to new version 5.34

* Sun Jul 01 2007 Olivier Thauvin <nanardon@mandriva.org> 5.32-1mdv2008.0
+ Revision: 46224
- 5.32

* Fri May 04 2007 Olivier Thauvin <nanardon@mandriva.org> 5.29-1mdv2008.0
+ Revision: 22237
- 5.29

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 5.28-1mdv2008.0
+ Revision: 20337
- 5.28

* Fri Apr 20 2007 Olivier Thauvin <nanardon@mandriva.org> 5.24-1mdv2008.0
+ Revision: 16067
- 5.24


* Sat Jan 06 2007 Olivier Thauvin <nanardon@mandriva.org> 5.18-1mdv2007.0
+ Revision: 104818
- 5.18

* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 5.16-1mdv2007.1
+ Revision: 94358
- 5.16
- 5.00

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 4.97-1mdv2007.0
+ Revision: 54036
- 4.97
- Import perl-POE-Component-IRC

* Mon Jul 10 2006 Emmanuel Andry <eandry@mandriva.org> 4.95-1mdv2007.0
- New version 4.95

* Sat Jun 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.93-1mdv2007.0
- New version 4.93

* Thu Jun 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.91-1mdv2007.0
- New release 4.91

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.90-1mdv2007.0
- New release 4.90

* Mon May 01 2006 Olivier Thauvin <nanardon@mandriva.org> 4.86-1mdk
- 4.86

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.85-1mdk
- New release 4.85
- better source URL
- better buildrequires syntax

* Sun Apr 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.81-1mdk
- New release 4.81

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.80-1mdk
- New release 4.80

* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.79-1mdk
- New release 4.79

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.77-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- drop explicit requires
- fix directory ownership

* Mon Dec 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.75-1mdk
- 4.75

* Thu Oct 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.74-1mdk
- 4.74

* Mon Oct 17 2005 Olivier Thauvin <nanardon@mandriva.org> 4.71-1mdk
- 4.71

* Tue Oct 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 4.70-2mdk
- Fix BuildRequires

* Tue Sep 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.70-1mdk
- 4.70
- Fix permissions

* Thu Sep 08 2005 Olivier Thauvin <nanardon@mandriva.org> 4.69-1mdk
- 4.69

* Sat Jun 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.62-1mdk
- 4.62

* Tue May 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.5-1mdk
- 4.5

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4-1mdk
- 4.4

* Sat Apr 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.3-1mdk
- 4.3

* Mon Mar 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.8-1mdk
- 3.8

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.7-1mdk
- 3.7

* Fri Feb 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.5-1mdk
- 3.5

* Mon Feb 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.4-1mdk
- 3.4

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.3-1mdk
- 3.3
- spec cleanup

* Fri Dec 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.9-2mdk
- q(Birthday rebuild) && perl->new() and "COIN";
- remove MANIFEST file from %%doc

